# IdentifiableTree Class Reference
[Common wrapper and helper classes]

Inheritance diagram for IdentifiableTree:
[legend]

List of all members.

## Public Member Functions

| getParent ()
| setParent (IdentifiableTree $parent)
| dropParent ()
| getRoot ()
| toString ($delimiter= ', ')

## Private Attributes

| $parent = null

## Detailed Description

See also:
  NamedTree

Definition at line 17 of file IdentifiableTree.class.php.

## Member Function Documentation

IdentifiableTree::dropParent | ( |  | ) |

Returns:
  IdentifiableTree

Definition at line 46 of file IdentifiableTree.class.php.

IdentifiableTree::getParent | ( |  | ) |

Returns:
  IdentifiableTree

Definition at line 26 of file IdentifiableTree.class.php.

IdentifiableTree::getRoot | ( |  | ) |

Returns:
  IdentifiableTree

Definition at line 56 of file IdentifiableTree.class.php.

IdentifiableTree::setParent | ( | IdentifiableTree $ | parent | ) |

Returns:
  IdentifiableTree

Definition at line 34 of file IdentifiableTree.class.php.

References Assert::brothers().

Here is the call graph for this function:

IdentifiableTree::toString | ( | $ | delimiter = `'`,
|  | ' |  |
| ) |  |  |

Definition at line 69 of file IdentifiableTree.class.php.

References $parent, and IdentifiableObject::getId().

Here is the call graph for this function:

## Member Data Documentation

IdentifiableTree::$parent = null`[private]`

Definition at line 21 of file IdentifiableTree.class.php.

Referenced by toString().

The documentation for this class was generated from the following file:

- main/Base/IdentifiableTree.class.php